/* Base */
body {
  font-kerning: normal;
  font-feature-settings: "kern" 1, "pnum" 1;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus input:-webkit-autofill,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
  -webkit-text-fill-color: white;
  -webkit-box-shadow: none;
  transition: background-color 5000s ease-in-out 0s;
}

/* Icons */

.arrow__scroll {
  animation: arrow__bounce 1s infinite;
  color:red;
}

@keyframes arrow__bounce {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(10px);
  }
  100% {
    transform: translateY(0);
  }
}

/* Dialog Mobile */
#tm-dialog-mobile .uk-nav .uk-nav-sub li a {
  font-family: Primary;
}

/* Newsroom Slider */
.newsroom__slider .uk-tile-hover .el-link .uk-icon {
  transition: transform 0.3s ease;
}
.newsroom__slider .uk-tile-hover:hover .el-link .uk-icon {
  transform: rotate(45deg);
}

/* Headings */
@media screen and (max-width: 640px) {
  .uk-heading-large {
    font-size: 2rem;
  }
  .uk-heading-medium {
    font-size: 2rem;
  }
}

/* Offcanvas Bar */
.uk-offcanvas-bar {
  backdrop-filter: blur(15px);
}

/* Polylang */
.uk-navbar-item.widget_polylang ul {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  gap: 0.5rem;
}
.uk-navbar-item.widget_polylang ul li a {
  color:white;
  text-decoration: none;
  transition: 0.1s ease all;
}
.uk-navbar-item.widget_polylang ul li:not(.current-lang) a {
  opacity: 0.25;
}
.uk-navbar-item.widget_polylang ul li:not(.current-lang):hover a {
  opacity: 1
}

/* Footer */
footer .uk-container {
  background: rgba(255,255,255,0.05);
  padding: 5rem;
  box-sizing: border-box;
}
footer .uk-list * {
  color: white;
}
@media screen and (max-width: 959px) {
  footer .uk-container {
    padding:2.5rem;
  }
}
@media screen and (max-width: 640px) {
  footer nav ul::before {
    border-bottom:none!important;
  }
  footer nav li {

    width: 100%;
    text-align: justify;
    display: flex;
    justify-content: center;
    box-sizing: border-box;
  }
  footer nav li a {
    padding: 0.5rem!important;
    background:rgba(255,255,255,0.1);
    width: 100%;
    justify-content: center;
    border-radius: 0.25rem;
    border-bottom:none!important;
  }
}

/* Accordion */
.uk-accordion .el-item {
  border: 2px solid #90A1B9;
  padding: 2rem;
  color:white;
}

/* Form */
.hidden-fields-container {
  display: none
}
.dna__form .wpcf7-text,
.dna__form .wpcf7-textarea {

  padding: 1rem;
  height: auto;
}
.dna__form .wpcf7-select {
  padding: 1rem;
  height: auto !important;
  background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjQiIGhlaWdodD0iMjQiIHZpZXdCb3g9IjAgMCAyNCAyNCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj48cGF0aCBkPSJNNyA3TDE3IDE3TTE3IDE3VjdNMTcgMTdINyIgc3Ryb2tlPSIjNDA0MDQwIiBzdHJva2Utd2lkdGg9IjIiIHN0cm9rZS1saW5lY2FwPSJyb3VuZCIgc3Ryb2tlLWxpbmVqb2luPSJyb3VuZCIvPjwvc3ZnPgo=")!important;
  background-size: 1.5rem;
  background-position: right 1rem center!important;

}
.dna__form .wpcf7-form-control-wrap {
  display: flex;
  align-items: center;
  height: 100%;
  position: relative;
}
.dna__form .wpcf7-not-valid-tip {
  font-size: var(--text-small-font-size);
  position: absolute;
  color: var(--global-danger-background);
  right: 1rem;
}
.dna__form .wpcf7-textarea + .wpcf7-not-valid-tip {
  top:1.25rem;
  right: 1rem;
}
.dna__form .wpcf7-form-control.wpcf7-text:focus,
.dna__form .wpcf7-form-control.wpcf7-text:active,
.dna__form .wpcf7-form-control.wpcf7-select:focus {
  box-shadow: none;
}
.dna__form .wpcf7-form-control.uk-textarea {
  height: 15rem;
  min-width: 100%;
}
.dna__form .wpcf7-form-control.wpcf7-acceptance .wpcf7-list-item label input {
  height: 1.5rem;
  width: 1.5rem;
  flex-shrink: 0;
  background-repeat: no-repeat;
  display: flex;
  background-size: 1.2rem;
  background-position: center center;
  border: 1px solid rgba(255, 255, 255, 0.25);
  margin: 0 1rem 0 0;
  background-color: transparent;
}
.dna__form
  .wpcf7-form-control.wpcf7-acceptance
  .wpcf7-list-item
  label
  input:checked {
  background-color: white;
}
.dna__form .wpcf7-spinner {
  display: none;
}
.dna__form input,
.dna__form textarea {
  caret-color: var(--global-color);
}
.wpcf7 form.invalid .wpcf7-response-output {
  border: none;
  background: var(--secondary);
  color: var(--global-color);
  margin: 2rem 0px;
  box-sizing: border-box;
  padding: 2rem;
  font-size: 1.4rem;
}
.wpcf7 form.sent .wpcf7-response-output {
  border: 2px solid var(--global-border);
  box-sizing: border-box;
  padding: 2rem;
  text-align: center;
  font-size: 2rem;
}
.wpcf7 form.sent .wpcf7-response-output::before {
  display: flex;
  justify-content: center;
  font-size: 6rem;
}
.wpcf7 .screen-reader-response {
  display: none;
}
.dna__form .uk-form-icon {
  width: auto;
  bottom: 3px;
  left:1rem;
  height: 100%;
  color:var(--global-emphasis-color);
}
.dna__form .attachment {
  position: absolute;
  bottom: 2rem;
  right: 0;
  display: flex;
}
.dna__form .attachment .wpcf7-form-control-wrap {
  display: none;
}
.dna__form .attachment label {
  background: rgba(255, 255, 255, 0.1);
  box-sizing: border-box;
  padding: 0.5rem 1rem;
  border-radius: 100rem;
  font-size: 80%;
  cursor: pointer;
  transition: 0.2s ease all;
}
.dna__form .attachment label .uk-icon {
  margin-left: 0.5rem;
}
.dna__form .attachment label.success {
  background: var(--green);
  color: var(--secondary);
  padding: 0.5rem;
  font-size: 0;
}
.dna__form .attachment label.success .uk-icon {
  margin: 0;
}

@media screen and (max-width:960px) {
  .background__cover .uk-background-cover {
      min-height:250px!important;
  }
}